namespace HiVakil.Domain.Models.Claims;

public static class ApplicationPermission
{
    public const string ManageBlogs = nameof(ManageBlogs);
    public const string ViewBlogs = nameof(ManageBlogs);

    public const string ManageBrands = nameof(ManageBrands);
    public const string ViewBrands = nameof(ViewBrands);

    public const string ManageCategories = nameof(ManageCategories);
    public const string ViewCategories = nameof(ViewCategories);

    public const string ManageDiscounts = nameof(ManageDiscounts);
    public const string ViewDiscounts = nameof(ViewDiscounts);

    public const string ManageOrders = nameof(ManageOrders);
    public const string ViewAllOrders = nameof(ViewAllOrders);
    public const string ViewMineOrders = nameof(ViewMineOrders);
    public const string CreateOrder = nameof(CreateOrder);

    public const string ManageProducts = nameof(ManageProducts);
    public const string ViewProducts = nameof(ViewProducts);

    public const string ManageReview = nameof(AddReview);
    public const string AddReview = nameof(AddReview);
    public const string ConfirmReview = nameof(ConfirmReview);
    public const string ViewAllReviews = nameof(ViewAllReviews);
    public const string ViewMineReviews = nameof(ViewMineReviews);

    public const string ManageWarehouses = nameof(ManageWarehouses);
    public const string ViewWarehouses = nameof(ViewWarehouses);

    public const string ManageShipping = nameof(ManageShipping);
    public const string ViewShipping = nameof(ViewShipping);

    public const string ManageUsers = nameof(ManageUsers);
    public const string ViewUsers = nameof(ViewUsers);

    public const string ManageFiles = nameof(ManageFiles);
    public const string ViewFiles = nameof(ViewFiles);
}